Python 3.9

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Python 3.9

Charles R Harris
Hi All,

Out of curiosity, I ran the numpy tests on Python3.9a3 to see if we hit any of the expired deprecations. The only error looked like a Python bug in fractions.Fraction. For others who may want to try this for a bit of fun:

  • Download and altinstall Python3.9a3
  • Clone and install cython in python3.9 from the cython master branch
  • Install pytest in python3.9
This worked for me on Fedora 31.

Chuck

_______________________________________________
NumPy-Discussion mailing list
[hidden email]
https://mail.python.org/mailman/listinfo/numpy-discussion